Package com.datecs.fiscalprinter.SDK.model.UserLayerV2

# Class cmdItems.ItemModel

java.lang.Object
com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdItems.ItemModel

All Implemented Interfaces:
  `java.io.Serializable`

Enclosing class:
  cmdItems

    public static class cmdItems.ItemModel
    extends java.lang.Object
    implements java.io.Serializable

Data Class for Item Data

See Also:
  Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `cmdItems.ItemModel.ItemState` | This type is used for table row color, in case of edit Item in table view
  `static class` | `cmdItems.ItemModel.PriceType` | PriceType - Price type ('0' - fixed price, '1' - free price, '2' - max price) ;

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ItemModel()` |
  `ItemModel​(java.lang.String PLU, java.lang.String taxGr, java.lang.String group, java.lang.String price, java.lang.String quantity, java.lang.String turnover, java.lang.String soldQty)` | Item model to store Item data with minimum of parameters
  `ItemModel​(java.lang.String PLU, java.lang.String taxGr, java.lang.String dep, java.lang.String group, java.lang.String priceType, java.lang.String price, java.lang.String addQty, java.lang.String quantity, java.lang.String bar1, java.lang.String bar2, java.lang.String bar3, java.lang.String bar4, java.lang.String name, java.lang.String turnover, java.lang.String soldQty, cmdItems.ItemModel.ItemState state)` | Item model to store Item data with full of parameters (no unit)
  `ItemModel​(java.lang.String PLU, java.lang.String taxGr, java.lang.String dep, java.lang.String group, java.lang.String priceType, java.lang.String price, java.lang.String addQty, java.lang.String quantity, java.lang.String bar1, java.lang.String bar2, java.lang.String bar3, java.lang.String bar4, java.lang.String name, java.lang.String turnover, java.lang.String soldQty, java.lang.String unitName, cmdItems.ItemModel.ItemState state)` | Item model to store Item data with full of parameters with unitName

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getAddQty()` |
  `java.lang.String` | `getBar1()` |
  `java.lang.String` | `getBar2()` |
  `java.lang.String` | `getBar3()` |
  `java.lang.String` | `getBar4()` |
  `java.lang.String` | `getDep()` |
  `java.lang.String` | `getGroup()` |
  `java.lang.String` | `getName()` |
  `java.lang.String` | `getPLU()` |
  `java.lang.String` | `getPrice()` |
  `java.lang.String` | `getPriceType()` |
  `java.lang.String` | `getQuantity()` |
  `java.lang.String` | `getSoldQty()` |
  `cmdItems.ItemModel.ItemState` | `getState()` |
  `java.lang.String` | `getTaxGr()` |
  `java.lang.String` | `getTurnover()` |
  `java.lang.String` | `getUnit()` |
  `void` | `setAddQty​(java.lang.String addQty)` |
  `void` | `setBar1​(java.lang.String bar1)` |
  `void` | `setBar2​(java.lang.String bar2)` |
  `void` | `setBar3​(java.lang.String bar3)` |
  `void` | `setBar4​(java.lang.String bar4)` |
  `void` | `setDep​(java.lang.String dep)` |
  `void` | `setGroup​(java.lang.String group)` |
  `void` | `setName​(java.lang.String name)` |
  `void` | `setPLU​(java.lang.String PLU)` |
  `void` | `setPrice​(java.lang.String price)` |
  `void` | `setPriceType​(java.lang.String priceType)` |
  `void` | `setQuantity​(java.lang.String quantity)` |
  `void` | `setSoldQty​(java.lang.String soldQty)` |
  `void` | `setState​(cmdItems.ItemModel.ItemState state)` |
  `void` | `setTaxGr​(java.lang.String taxGr)` |
  `void` | `setTurnover​(java.lang.String turnover)` |
  `void` | `setUnit​(java.lang.String unit)` |

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ItemModel

    public ItemModel()

  - ### ItemModel

    public ItemModel​(java.lang.String PLU, java.lang.String taxGr, java.lang.String dep, java.lang.String group, java.lang.String priceType, java.lang.String price, java.lang.String addQty, java.lang.String quantity, java.lang.String bar1, java.lang.String bar2, java.lang.String bar3, java.lang.String bar4, java.lang.String name, java.lang.String turnover, java.lang.String soldQty, java.lang.String unitName, cmdItems.ItemModel.ItemState state)
    Item model to store Item data with full of parameters with unitName
    Parameters:
      `PLU` - Item number (1...3000);
      `taxGr` - VAT group (letter 'A'...'H' or cyrillic);
      `dep` - Department (0...99);
      `group` - Stock group (1...99);
      `priceType` - Price type ('0' - fixed price, '1' - free price, '2' - max price) ;
      `price` - Price ( 0.00...9999999.99 or 0...999999999 depending dec point position );
      `addQty` - Use A, to add quantity, use "" to overwrite quantity
      `quantity` - Stock quantity (0.001...99999.999);
      `bar1` - Barcode X ( up to 13 digits );
      `bar2` - Barcode X ( up to 13 digits );
      `bar3` - Barcode X ( up to 13 digits );
      `bar4` - Barcode X ( up to 13 digits );
      `name` - Barcode X ( up to 13 digits );
      `turnover` -
      `soldQty` - Sold out quantity (0.001...99999.999);
      `state` - Measurement unit 0 - 19;
      `state` - The state of data in ItemModel

  - ### ItemModel

    public ItemModel​(java.lang.String PLU, java.lang.String taxGr, java.lang.String dep, java.lang.String group, java.lang.String priceType, java.lang.String price, java.lang.String addQty, java.lang.String quantity, java.lang.String bar1, java.lang.String bar2, java.lang.String bar3, java.lang.String bar4, java.lang.String name, java.lang.String turnover, java.lang.String soldQty, cmdItems.ItemModel.ItemState state)
    Item model to store Item data with full of parameters (no unit)
    Parameters:
      `PLU` - Item number (1...3000);
      `taxGr` - VAT group (letter 'A'...'H' or cyrillic);
      `dep` - Department (0...99);
      `group` - Stock group (1...99);
      `priceType` - Price type ('0' - fixed price, '1' - free price, '2' - max price) ;
      `price` - Price ( 0.00...9999999.99 or 0...999999999 depending dec point position );
      `addQty` - Use A, to add quantity, use "" to overwrite quantity
      `quantity` - Stock quantity (0.001...99999.999);
      `bar1` - Barcode X ( up to 13 digits );
      `bar2` - Barcode X ( up to 13 digits );
      `bar3` - Barcode X ( up to 13 digits );
      `bar4` - Barcode X ( up to 13 digits );
      `name` - Barcode X ( up to 13 digits );
      `turnover` -
      `soldQty` - Sold out quantity (0.001...99999.999);
      `state` - The state of data in ItemModel

  - ### ItemModel

    public ItemModel​(java.lang.String PLU, java.lang.String taxGr, java.lang.String group, java.lang.String price, java.lang.String quantity, java.lang.String turnover, java.lang.String soldQty)
    Item model to store Item data with minimum of parameters
    Parameters:
      `PLU` - Item number (1...3000);
      `taxGr` - VAT group (letter 'A'...'H' or cyrillic);
      `group` - Stock group (1...99);
      `quantity` - Price type ('0' - fixed price, '1' - free price, '2' - max price) ;
      `turnover` - Price ( 0.00...9999999.99 or 0...999999999 depending dec point position );
      `soldQty` - Sold out quantity (0.001...99999.999);

- ## Method Details

  - ### setPLU

    public void setPLU​(java.lang.String PLU)

  - ### setTaxGr

    public void setTaxGr​(java.lang.String taxGr)

  - ### setDep

    public void setDep​(java.lang.String dep)

  - ### setGroup

    public void setGroup​(java.lang.String group)

  - ### setPriceType

    public void setPriceType​(java.lang.String priceType)

  - ### setPrice

    public void setPrice​(java.lang.String price)

  - ### setAddQty

    public void setAddQty​(java.lang.String addQty)

  - ### setQuantity

    public void setQuantity​(java.lang.String quantity)

  - ### setBar1

    public void setBar1​(java.lang.String bar1)

  - ### setBar2

    public void setBar2​(java.lang.String bar2)

  - ### setBar3

    public void setBar3​(java.lang.String bar3)

  - ### setBar4

    public void setBar4​(java.lang.String bar4)

  - ### setName

    public void setName​(java.lang.String name)

  - ### setTurnover

    public void setTurnover​(java.lang.String turnover)

  - ### setSoldQty

    public void setSoldQty​(java.lang.String soldQty)

  - ### setUnit

    public void setUnit​(java.lang.String unit)

  - ### getState

    public cmdItems.ItemModel.ItemState getState()

  - ### setState

    public void setState​(cmdItems.ItemModel.ItemState state)

  - ### getPLU

    public java.lang.String getPLU()

  - ### getTaxGr

    public java.lang.String getTaxGr()

  - ### getDep

    public java.lang.String getDep()

  - ### getGroup

    public java.lang.String getGroup()

  - ### getPriceType

    public java.lang.String getPriceType()

  - ### getPrice

    public java.lang.String getPrice()

  - ### getAddQty

    public java.lang.String getAddQty()

  - ### getQuantity

    public java.lang.String getQuantity()

  - ### getBar1

    public java.lang.String getBar1()

  - ### getBar2

    public java.lang.String getBar2()

  - ### getBar3

    public java.lang.String getBar3()

  - ### getBar4

    public java.lang.String getBar4()

  - ### getName

    public java.lang.String getName()

  - ### getTurnover

    public java.lang.String getTurnover()

  - ### getSoldQty

    public java.lang.String getSoldQty()

  - ### getUnit

    public java.lang.String getUnit()